%global qt_module qtgraphicaleffects
%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$

Summary: Qt5 - QtGraphicalEffects component
Name:    qt5-%{qt_module}
Version: 5.15.9
Release: 2%{?dist}
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

BuildRequires: make, libmng-devel, libtiff-devel, qt5-qtdeclarative-devel, qt5-qtbase-private-devel, qt5-qtbase-devel >= %{version}
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
The Qt Graphical Effects module provides a set of QML types for adding
visually impressive and configurable effects to user interfaces. Effects
are visual items that can be added to Qt Quick user interface as UI
components.



%prep
%setup -q -n %{qt_module}-everywhere-src-%{version}



%build
%{qmake_qt5}

%make_build



%install
make install INSTALL_ROOT=%{buildroot}



%files
%license LICENSE.*
%{_qt5_qmldir}/QtGraphicalEffects/



%changelog
* Wed Aug 02 2023 kianli <kianli@tencent.com> - 5.15.9-2
- Rebuilt for libtiff 4.5.1

* Mon Jul 17 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 5.15.7-1
- initial
